Jump to content


Photo

'Phone storage space is getting low'

- - - - -

  • Please log in to reply
11 replies to this topic

#1
iam:ruby

iam:ruby

    Newbie

  • Members
  • Pip
  • 5 posts
  • Devices:San Fran!
Hi,

I'm running on 2.1 with an SD card, but it says my internal storage is low. I've got to be honest, I read around the forum first, but I'm not very good with technology so I wasn't sure how to do anything! I think I need to try and make sure all my apps are on my SD card, as I don't think they are at the moment. But I'm not sure how to find them on my internal storage to move them? Or to make sure it is just apps that's causing the memory filling?

Please help, the notification is driving me crazy!

  • 0

#2
m_w_clarke

m_w_clarke

    Enthusiast

  • Members
  • PipPipPip
  • 243 posts
  • Devices:Samsung i300

Hi,

I'm running on 2.1 with an SD card, but it says my internal storage is low. I've got to be honest, I read around the forum first, but I'm not very good with technology so I wasn't sure how to do anything! I think I need to try and make sure all my apps are on my SD card, as I don't think they are at the moment. But I'm not sure how to find them on my internal storage to move them? Or to make sure it is just apps that's causing the memory filling?

Please help, the notification is driving me crazy!


You cant move them in 2.1. If you upgrade to 2.2, you will find that some apps will be able to move to the SD card. This can be done in settings->applications->manage application then selecting an app and seeing if the "move to sd" option is available.

  • 0

#3
Sanddancer75

Sanddancer75

    Enthusiast

  • MoDaCo Silver
  • PipPipPip
  • 177 posts
  • Gender:Male
  • Location:South Tyneside
  • Devices:HTC Desire S & Advent Vega
I'm using this: https://market.andro...e=search_result

You can move all moveable apps to your SD card with it & it'll notofy you if something is movable when you download new stuff. A few apps don't like it though, Power Amp's widget won't work if you have it on your SD card for example.

Edited by Sanddancer75, 25 March 2011 - 10:10 AM.

  • 0

#4
Sanddancer75

Sanddancer75

    Enthusiast

  • MoDaCo Silver
  • PipPipPip
  • 177 posts
  • Gender:Male
  • Location:South Tyneside
  • Devices:HTC Desire S & Advent Vega
Double post. Sorry.

Edited by Sanddancer75, 25 March 2011 - 10:11 AM.

  • 0

#5
The Soup Thief

The Soup Thief

    Hardcore

  • MoDaCo Silver
  • PipPipPipPipPipPip
  • 1,046 posts
  • Gender:Male
  • Location:Dublin
  • Devices:Nexus 5 (N4 etc retired)
  • Twitter:@TheSoupThief
As I understand your situation, at the mo your apps are not going to your SD card
This has kinda been dealt with a good few times - StevenHarper, star that he is, has covered this in his guide at this link
Below is the salient section

I want to use A2SD but what do I do?

Firstly you need a ROM that supports A2SD, next you need to know if it support EXT2/3/4
Now you need to change the way your SDCard is Partitioned.
In Ubuntu use GParted - in Windows get the home version of Partition Wizard http://www.partition...m/download.html
Now Copy EVERYTHING off the SD Card.
Make the FIRST partition the FAT32 one (primary partition) - leave 512MB or more for the EXT2/3/4 (where apps will be installed)
Now Make Another partition (must be the SECOND) as EXT2/3/4 - also make this primary.
Now mount the Card and copy all your data back to the FAT32 Part - assuming it fits.
When you install/next boot you ROM, the EXT2/3/4 partition will be mounted as DATA / this is where your apps go from now on.


You mention that

I'm not very good with technology so I wasn't sure how to do anything!

Well, it ain't crazy hard, but it might take you a bit of work - why not have a go (make a nandroid backup first to be on the safe side) and follow Steven's very helpful guide and you'll be there in no time
The alternative, I'm afraid, is to learn to live within your means :D

  • 0

#6
ronc2000

ronc2000

    Enthusiast

  • Members
  • PipPipPip
  • 241 posts

Hi,

I'm running on 2.1 with an SD card, but it says my internal storage is low. I've got to be honest, I read around the forum first, but I'm not very good with technology so I wasn't sure how to do anything! I think I need to try and make sure all my apps are on my SD card, as I don't think they are at the moment. But I'm not sure how to find them on my internal storage to move them? Or to make sure it is just apps that's causing the memory filling?

Please help, the notification is driving me crazy!

Have you installed many, many apps? Do you need them all?
You must have if it has gone low.
You just have to uninstall some of them.

You need to upgrade to 2.2 if you want to move them to SD card but I think that may be a bit risky for you.

  • 0

#7
iam:ruby

iam:ruby

    Newbie

  • Members
  • Pip
  • 5 posts
  • Devices:San Fran!
Aww, thank you so much for your quick replies guys! I understand now that there's no wonder I couldn't find how to move them if there's no option to do it, duh! I've done as you said and just been ruthless in removing apps, particularly the big ones. I don't really have many apps on there, but there's a few I had which I realised were huge, no wonder there was no space left..

And about upgrading to 2.2.. I did actually get the phone with the intention of putting a new ROM on there and sorting it all out, but since I don't really understand the instructions (embarrassing I know, since I've read them through several times!) I don't want to give it a go and completely screw up my phone! I'll maybe see in a while when I'm 100% comfortable with android - San Fran is my first android and I'm still getting used to it.

Thankfully it seems okay for now, the internal memory has gone up a significant amount. I guess I'll just have to keep an eye on the size of an app before I download it! :D

  • 0

#8
womble_sanfran

womble_sanfran

    Regular

  • Members
  • PipPip
  • 124 posts
  • Devices:Orange San Francisco
I followed the guide to repartition my internal memory so I gained 80MB for apps without having to use the (slower) SD card, I would try that:

http://android.modac...ol-alpha3-gen1/

  • 0
UK Orange OLED San Francisco - Stock ROM - OUK_P729BV1.0.0B05 - Swedish Spring RLS5

#9
Rotmann

Rotmann

    Hardcore

  • Members
  • PipPipPipPipPipPip
  • 1,019 posts
  • Devices:Nexus One, ZTE Blade

I followed the guide to repartition my internal memory so I gained 80MB for apps without having to use the (slower) SD card, I would try that:

http://android.modac...ol-alpha3-gen1/

That is for 2.2 and 2.3! :D He'll probably screw it, look at the requirements before suggesting that.

@iam:ruby , you don't have to understand anything, just make the steps according to the guide, there's nothing to go wrong, it's so simple to put a new ROM on it, 2.1 is really rubbish and slow.

  • 0

#10
wbaw

wbaw

    account closed

  • Banned
  • PipPipPipPipPipPip
  • 1,885 posts
  • Gender:Not Telling

That is for 2.2 and 2.3! :D He'll probably screw it, look at the requirements before suggesting that.

@iam:ruby , you don't have to understand anything, just make the steps according to the guide, there's nothing to go wrong, it's so simple to put a new ROM on it, 2.1 is really rubbish and slow.


The 2nd version with a cache partition will work fine.

  • 0

#11
womble_sanfran

womble_sanfran

    Regular

  • Members
  • PipPip
  • 124 posts
  • Devices:Orange San Francisco

That is for 2.2 and 2.3! :D He'll probably screw it, look at the requirements before suggesting that.

@iam:ruby , you don't have to understand anything, just make the steps according to the guide, there's nothing to go wrong, it's so simple to put a new ROM on it, 2.1 is really rubbish and slow.

I did note the requirements.
I an on stock 2.1 and the second one worked fine.

  • 0
UK Orange OLED San Francisco - Stock ROM - OUK_P729BV1.0.0B05 - Swedish Spring RLS5

#12
womble_sanfran

womble_sanfran

    Regular

  • Members
  • PipPip
  • 124 posts
  • Devices:Orange San Francisco

That is for 2.2 and 2.3! :D He'll probably screw it, look at the requirements before suggesting that.

@iam:ruby , you don't have to understand anything, just make the steps according to the guide, there's nothing to go wrong, it's so simple to put a new ROM on it, 2.1 is really rubbish and slow.


I did read the requirements. I am on stock 2.1 and the 2nd one worked for me.

  • 0
UK Orange OLED San Francisco - Stock ROM - OUK_P729BV1.0.0B05 - Swedish Spring RLS5




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users